{% extends 'base.html' %}

{% block content %}
    <div id="main">
        {% if g.user and not himself %}
            {% if is_following %}
                <form action="/unfollow/{{username}}" method="post" accept-charset="utf-8" class="unfollow-user">
                    <p><input type="submit" value="Unfollow {{username}}"></p>
                </form>
            {% else %}
                <form action="/follow/{{username}}" method="post" accept-charset="utf-8" class="follow-user">
                    <p><input type="submit" value="Follow {{username}}"></p>
                </form>
            {% endif %}
        {% endif %}
        <div class="tweets">
            {% for tweet in posts %}
                    <p>
                        <img src="{{ url_for('static', filename='avatar.png') }}" />
                        <strong><a href="/{{tweet.user.username}}">{{tweet.user.username}}</a></strong>
                        {{tweet.content}}<span><a href="/{{username}}/statuses/{{tweet.id}}">permalink</a></span>
                    </p>
            {% else %}
               <p>{{username}} has posted any tweet yet</p>
            {% endfor %}
        </div>
    </div>
    {% include 'shared/side.html' %}
{% endblock %}